// --------------------------------------------------
// Author by Kirsanov Anton (anton.kirsanov@gmail.com)
// Modified by Sergei Kostyukevich (sergej.kostjukevic@aipberoun.cz)
    
	// -------------------------
	// Javascript font detection
	// -------------------------

	// Settings
    var fontString = "abcdefghijklmnopqrstuvwxyz0123456789";
    var fontSize = "1000pt";

    function is_font_installed(fontName) {
        if (fontName.toLowerCase() == 'times new roman') defaultStatus = font_string_size('Arial, sans-serif');
        else defaultStatus = font_string_size('');
        currentStatus = font_string_size(fontName);
        if(defaultStatus != currentStatus) return true; //The font is installed     
        return false; // The system haven't font	
    }

    function font_string_size(fontName) {
        div = document.createElement("div");
        document.body.appendChild(div);
        div.style.fontFamily = 'Times New Roman';
        span = document.createElement("span");
        div.appendChild(span);
       
        span.style.visibility = 'hidden';
        span.style.padding = '0px';
        span.style.fontSize = fontSize;        
        span.style.fontFamily = fontName;
       
        span.innerHTML = fontString + '<br/>';
        size = span.offsetWidth + "x" + span.offsetHeight;

        div.removeChild(span);
        document.body.removeChild(div);
        return size;
    }
