<?php
/**
* ENRICH gBank viewer - the user-friendly interface showing the content of the gBank database.
* Copyright © 2009-2010 AiP Beroun s.r.o, Czech Republic
* Authors: Sergei Kostyukevich <sergej.kostjukevic@aipberoun.cz>, Tomas Psohlavec <tomas.psohlavec@aipberoun.cz>
* WEB: www.aipberoun.cz

* Content Creation: gBank sample content is based on the Medieval 
* Unicode Font Initiative Specification v. 3.0 http://www.mufi.info/ 
* with transformation to TEI by James Cummings <James.Cummings@oucs.ox.ac.uk>

* Font Creation: Font images based on Andron Scriptor Web font v. 3.0 by Andreas Stötzner.

* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.

* You should have received a copy of the GNU General Public License
* along with this program. If not, see http://www.gnu.org/licenses/gpl.html.
**/
include_once('gbank_resource.php');
include_once('gbank_routines.php');
header("Content-type: text/xml; charset=utf-8");
header("Cache-Control: no-cache");
if (isset($_GET['id'])) {
	$id = $_GET['id'];
} else $id = '';
if (isset($_GET['variant'])) {
  switch ($_GET['variant']) {
    case 'ocs': 
      $data_xml = GBANK_DATA_XML_OCS;
      break;
    default: $data_xml = GBANK_DATA_XML;
  }
} else {
  $data_xml = GBANK_DATA_XML;
}
get_charDecl_xml($id, $data_xml);
?>