<?php
/**
* ENRICH gBank viewer - the user-friendly interface showing the content of the gBank database.
* Copyright © 2009-2010 AiP Beroun s.r.o, Czech Republic
* Authors: Sergei Kostyukevich <sergej.kostjukevic@aipberoun.cz>, Tomas Psohlavec <tomas.psohlavec@aipberoun.cz>
* WEB: www.aipberoun.cz

* Content Creation: gBank sample content is based on the Medieval 
* Unicode Font Initiative Specification v. 3.0 http://www.mufi.info/ 
* with transformation to TEI by James Cummings <James.Cummings@oucs.ox.ac.uk>

* Font Creation: Font images based on Andron Scriptor Web font v. 3.0 by Andreas Stötzner.

* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.

* You should have received a copy of the GNU General Public License
* along with this program. If not, see http://www.gnu.org/licenses/gpl.html.
**/
if (isset($relPath)) {define("ADD_REL_PATH", $relPath);}
else define("ADD_REL_PATH", "");


define("GBANK_DATA_XML","data/mufi-gBank.xml");
define("GBANK_DATA_XML_OCS","data/gBank_Serbiav2.0.xml");

//in original XML-file may be other way to images (for example: <graphic url="images/efae.png"/>)
//this constant is used to remove excess part ot the path to the filename only
define("GBANK_GRAPHIC_REMOVE_SUBDIR","images/"); //or leave empty string if URL has filename only
define("GBANK_GRAPHIC","data/mufi-graphic/"); 
define("GBANK_GRAPHIC_OCS","data/gBank_Serbiav2.0/"); 

define("GBANK_BROWSE_XSL","xsl/chars_browse.xsl"); 
define("GBANK_CHAR_XML_XSL","xsl/char_xml.xsl"); 

define("GBANK_VER","1.01");
define("GBANK_VER_DATE", "19.09.2012") 
?>
